#version 330

in vec4 position;
in vec3 normal;

//uniform mat4 model_matrix;
uniform mat4 PVM_matrix;
uniform mat3 normal_matrix;

// Output variable: normal in world space (i.e. transformed by inv.tr. of the model matrix)
out vec3 VS_normal_ws;

void main()
{
    VS_normal_ws = normalize(normal_matrix * normal);
    gl_Position = PVM_matrix * position;
}
